USN-5709-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5709-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5709-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5709-1
Related
  • CVE-2022-42927
  • CVE-2022-42928
  • CVE-2022-42929
  • CVE-2022-42930
  • CVE-2022-42931
  • CVE-2022-42932
Published
2022-11-01T13:52:02.190193Z
Modified
2022-11-01T13:52:02.190193Z
Summary
firefox vulnerabilities
Details

Multiple security issues were discovered in Firefox. If a user were tricked into opening a specially crafted website, an attacker could potentially exploit these to cause a denial of service, obtain sensitive information across domains, or execute arbitrary code. (CVE-2022-42927, CVE-2022-42928, CVE-2022-42929, CVE-2022-42930, CVE-2022-42932)

It was discovered that Firefox saved usernames to a plaintext file. A local user could potentially exploit this to obtain sensitive information. (CVE-2022-42931)

References

Affected packages

Ubuntu:18.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
106.0.2+build1-0ubuntu0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-nl": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-kn": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-gl": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-fy": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-kk": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-km": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-or": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-az": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-lt": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-hy": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-eo": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-sv": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-uk": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-sr": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-is": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ca": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ne": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ga": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ja": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-it": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-lg": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ms": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-zh-hans": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ia": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ko": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-hr": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-mai": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-nb": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-mozsymbols": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-vi": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-dev": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-he": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-sw": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-el": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-oc": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-xh": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-nn": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-geckodriver": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ar": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-cs": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-gn": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-hsb": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-zu": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-my": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ro": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-csb": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-nso": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-af": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-sk": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-szl": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-si": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-cy": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-fa": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-cak": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-sq": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-en": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-tr": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-br": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-et": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ast": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-th": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-da": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-fi": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ku": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-mn": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ru": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-mk": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-bg": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-hu": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-gu": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-bn": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-kab": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ml": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-an": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-be": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-eu": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-fr": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-pa": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-as": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-id": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-pl": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-gd": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-te": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-lv": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ka": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ta": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-bs": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-uz": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-hi": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-zh-hant": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-es": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-ur": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-mr": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-pt": "106.0.2+build1-0ubuntu0.18.04.1",
            "firefox-locale-de": "106.0.2+build1-0ubuntu0.18.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
106.0.2+build1-0ubuntu0.20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-nl": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-kn": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-gl": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-fy": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-kk": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-km": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-or": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-az": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-lt": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-hy": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-eo": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-sv": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-uk": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-sr": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-is": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ca": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ne": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ga": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ja": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-it": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-lg": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ms": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-zh-hans": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ia": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ko": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-hr": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-mai": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-nb": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-mozsymbols": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-vi": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-dev": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-he": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-sw": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-el": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-oc": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-xh": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-nn": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-geckodriver": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ar": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-cs": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-gn": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-hsb": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-zu": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-my": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ro": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-csb": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-nso": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-af": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-sk": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-szl": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-si": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-cy": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-fa": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-cak": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-sq": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-en": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-tr": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-br": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-et": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ast": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-th": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-da": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-fi": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ku": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-mn": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ru": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-mk": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-bg": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-hu": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-gu": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-bn": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-kab": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ml": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-an": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-be": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-eu": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-fr": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-pa": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-as": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-id": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-pl": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-gd": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-te": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-lv": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ka": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ta": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-bs": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-uz": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-hi": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-zh-hant": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-es": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-ur": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-mr": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-pt": "106.0.2+build1-0ubuntu0.20.04.1",
            "firefox-locale-de": "106.0.2+build1-0ubuntu0.20.04.1"
        }
    ]
}